Bug 219850 - In editor tab, add "Close unmodified files" - Plugin available
In editor tab, add "Close unmodified files" - Plugin available
Status: NEW
Product: versioncontrol
Classification: Unclassified
Component: Code
7.3
PC Mac OS X
: P3 with 6 votes (vote)
: TBD
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
: 208125 (view as bug list)
Depends on: 248811
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 17:48 UTC by twolf2919
Modified: 2016-01-23 12:08 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description twolf2919 2012-10-10 17:48:34 UTC

    
Comment 1 twolf2919 2012-10-10 17:54:42 UTC
Oops - hitting <RETURN> in the bug summary caused the "Submit" to be invoked :-(

Basically, the idea is that occasionally one might want to do some "house keeping" and close those editor tabs that contain files that were never modified, leaving only the ones that have been edited.

Now, what does it mean "that have been edited"?  In my case, it would include those files that have unsaved changes AS WELL AS files that have changed since extraction from the source repository (i.e. those files that show up with their tab label in "blue").  All necessary information is already readily available, so hopefully a kind NB developer will throw it into the 7.3 release :-)
Comment 2 Miloslav Metelka 2012-10-11 12:33:55 UTC
Not sure where to reassign hopefully VCS is the right candidate.
Comment 3 twolf2919 2012-10-11 13:14:03 UTC
Milos,
Whenever I'm at a loss as to who/what area to assign a bug, I use CVS (substitute your own version control system) revision history to see who worked on a screen/component most - in this case I would search for the String  "New Document Tab Group" to find the source code that has the editor tab popup and see who's been adding entries to that popup :-)  Assign to them or that area.

Why don't you think "editor" is the right product?  Never mind - I don't know how work is divvied up at NB.
Comment 4 markiewb 2013-05-15 22:07:37 UTC
*** Bug 208125 has been marked as a duplicate of this bug. ***
Comment 5 markiewb 2015-01-26 19:16:05 UTC
FYI: I provided a plugin for it. Currently it only works for GIT. 
http://plugins.netbeans.org/plugin/57155/?show=true 
Give feedback.

But when NB8.1 is released the plugin can easily support SVN/HG too. The offical API has been extended to provide such features: https://netbeans.org/bugzilla/show_bug.cgi?id=248811
Comment 6 markiewb 2015-12-02 21:44:23 UTC
(In reply to markiewb from comment #5)
> FYI: I provided a plugin for it. Currently it only works for GIT. 
> http://plugins.netbeans.org/plugin/57155/?show=true 
> Give feedback.
> 
> But when NB8.1 is released the plugin can easily support SVN/HG too. The
> offical API has been extended to provide such features:
> https://netbeans.org/bugzilla/show_bug.cgi?id=248811

I integrated the API introduced by 248811 in my plugin. Wait for the next version 2.0.0 in the plugin center or install it manually https://github.com/markiewb/nb-git-close-unmodified-documents/releases/tag/v2.0.0
Comment 7 markiewb 2016-01-23 12:08:09 UTC
(In reply to markiewb from comment #6)
> (In reply to markiewb from comment #5)
> > FYI: I provided a plugin for it. Currently it only works for GIT. 
> > http://plugins.netbeans.org/plugin/57155/?show=true 
> > Give feedback.
> > 
> > But when NB8.1 is released the plugin can easily support SVN/HG too. The
> > offical API has been extended to provide such features:
> > https://netbeans.org/bugzilla/show_bug.cgi?id=248811
> 
> I integrated the API introduced by 248811 in my plugin. Wait for the next
> version 2.0.0 in the plugin center or install it manually
> https://github.com/markiewb/nb-git-close-unmodified-documents/releases/tag/
> v2.0.0

2.0.0 is available from your IDE or http://plugins.netbeans.org/plugin/57155/?show=true


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo